org.w3c.dom.css

## Interface CSSFontFaceRule

All Superinterfaces:
  CSSRule

    public interface CSSFontFaceRule
    extends CSSRule

The `CSSFontFaceRule` interface represents a @font-face rule in a CSS style sheet. The `@font-face` rule is used to hold a set of font descriptions.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

### Field Summary

### Fields inherited from interface org.w3c.dom.css.CSSRule

`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

### Method Summary

Methods
`CSSStyleDeclaration` `getStyle()` The declaration-block of this rule.

### Methods inherited from interface org.w3c.dom.css.CSSRule

`getCssText, getParentRule, getParentStyleSheet, getType, setCssText`

### Method Detail

#### getStyle

    CSSStyleDeclaration getStyle()

The declaration-block of this rule.